=== debian/control ===
Source: ros-melodic-pose-cov-ops
Section: misc
Priority: extra
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-mrpt-bridge, ros-melodic-mrpt1, ros-melodic-roscpp, ros-melodic-rosunit
Homepage: http://wiki.ros.org/pose_cov_ops
Standards-Version: 3.9.2

Package: ros-melodic-pose-cov-ops
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-mrpt-bridge, ros-melodic-mrpt1, ros-melodic-roscpp
Description: C++ library for SE(2/3) pose and 2D/3D point composition operations with uncertainty
