## ros-melodic-pose-cov-ops 0.3.10

=== debian/changelog ===
ros-melodic-pose-cov-ops (0.3.10-1bionic) bionic; urgency=high

  * Fix installation of headers for ROS 1
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 06 Apr 2023 22:00:00 -0000

ros-melodic-pose-cov-ops (0.3.9-1bionic) bionic; urgency=high

  * Merge pull request #12 <https://github.com/mrpt-ros-pkg/pose_cov_ops/issues/12> from roncapat/patch-1
    Fix build issues with ROS2
  * Update README.md: fix badge table
  * Contributors: Jose Luis Blanco-Claraco, Patrick Roncagliolo

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 31 Mar 2023 22:00:00 -0000

ros-melodic-pose-cov-ops (0.3.8-1bionic) bionic; urgency=high

  * Add compose() and inverseCompose() versions for tf2::Transform
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 05 Sep 2022 22:00:00 -0000

ros-melodic-pose-cov-ops (0.3.7-1bionic) bionic; urgency=high

  * Remove duplicated entry in package.xml
  * Offer an C++ API with return-by-value semantics.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 23 Jun 2022 22:00:00 -0000

ros-melodic-pose-cov-ops (0.3.6-1bionic) bionic; urgency=high

  * fix package.xml build_type for ros1/ros2
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 11 Jun 2022 22:00:00 -0000

ros-melodic-pose-cov-ops (0.3.5-1bionic) bionic; urgency=high

  * Remove find_package() calls due to wrong mrpt-ros2bridge-config.cmake in older mrpt2 versions
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 09 Jun 2022 22:00:00 -0000

ros-melodic-pose-cov-ops (0.3.4-1bionic) bionic; urgency=high

  * Fix missing cmake xmllint at configure time.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 30 May 2022 22:00:00 -0000

ros-melodic-pose-cov-ops (0.3.3-1bionic) bionic; urgency=high

  * Fix build for ros2
  * Rename license as "LICENSE"
  * Add contributing.md file
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 29 May 2022 22:00:00 -0000

ros-melodic-pose-cov-ops (0.3.2-1bionic) bionic; urgency=high

  * Unify ros1/ros2 build system in one single git branch.
  * Port to mrpt2, avoid dependency on pkg mrpt_bridge
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 09 May 2022 22:00:00 -0000

ros-melodic-pose-cov-ops (0.3.1-1bionic) bionic; urgency=high

  * Add License file
  * remove wrong xml comment reference to mrpt1
  * remove travis CI
  * Update README.md
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 03 May 2022 22:00:00 -0000

ros-melodic-pose-cov-ops (0.3.0-1bionic) bionic; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * update to mrpt2
  * add basic unit test
  * Set message to status again instead of warning
  * Updating CMakeLists.txt to pass build on Ubuntu 16.04LTS with CMake 3.5 with the latest version of MRPT
  * Add ros build farm badgets and links
  * Contributors: Inounx, Jose Luis Blanco-Claraco, Julian Lopez Velasquez

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 03 Mar 2022 23:00:00 -0000

ros-melodic-pose-cov-ops (0.2.1-1bionic) bionic; urgency=high

  * fix catkin_lint issues
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 20 May 2018 22:00:00 -0000

ros-melodic-pose-cov-ops (0.2.0-1bionic) bionic; urgency=high

  * Made compatible with MRPT 1.x and 2.x
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 08 Jan 2018 23:00:00 -0000

ros-melodic-pose-cov-ops (0.1.7-1bionic) bionic; urgency=high

  * relaxing need to find lib mrpt >=1.5
  * Silent GCC warnings with Eigen hdrs
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 08 Dec 2017 23:00:00 -0000

ros-melodic-pose-cov-ops (0.1.6-1bionic) bionic; urgency=high

  * Fix catkin dependencies
  * Use C++14
  * Fix build against MRPT 1.5 and 2.0
  * Contributors: Javier G. Monroy, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 03 Dec 2017 23:00:00 -0000

ros-melodic-pose-cov-ops (0.1.5-1bionic) bionic; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 22 Dec 2014 23:00:00 -0000

ros-melodic-pose-cov-ops (0.1.4-1bionic) bionic; urgency=high

  * Ported from old repository in mrpt_navigation

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 22 Dec 2014 23:00:00 -0000

ros-melodic-pose-cov-ops (0.1.3-1bionic) bionic; urgency=high

  * Fix many missing install files
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 17 Dec 2014 23:00:00 -0000

ros-melodic-pose-cov-ops (0.1.2-1bionic) bionic; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 17 Dec 2014 23:00:00 -0000

ros-melodic-pose-cov-ops (0.1.1-1bionic) bionic; urgency=high

  * First public binary release.

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 16 Dec 2014 23:00:00 -0000

ros-melodic-pose-cov-ops (0.1.0-1bionic) bionic; urgency=high

  * consistent version numbers
  * Fixed: pose_cov_ops needs export section in manifest

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 16 Dec 2014 23:00:00 -0000
