=== debian/control ===
Source: ros-melodic-pose-cov-ops
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), cmake, libgtest-dev <!nocheck>, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-mrpt2, ros-melodic-ros-environment, ros-melodic-roscpp, ros-melodic-rosunit <!nocheck>, ros-melodic-tf2
Homepage: https://wiki.ros.org/pose_cov_ops
Standards-Version: 3.9.2

Package: ros-melodic-pose-cov-ops
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-mrpt2, ros-melodic-roscpp, ros-melodic-tf2
Description: C++ library for SE(2)/SE(3) pose composition operations with uncertainty
